## GDataYouTubeContent

GDataYouTubeContent — YouTube content element

## Stability Level

Stable, unless otherwise indicated

## Functions

GDataYouTubeFormat | gdata_youtube_content_get_format ()

## Properties

GDataYouTubeFormat | format | Read

## Types and Values

| GDataYouTubeContent
| GDataYouTubeContentClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataMediaContent
                ╰── GDataYouTubeContent

## Includes

    #include <gdata/services/youtube/gdata-youtube-content.h>

## Description

GDataYouTubeContent represents the YouTube-specific customizations to GDataMediaContent. For more information, see the online documentation.

## Functions

### gdata_youtube_content_get_format ()

    GDataYouTubeFormat
    gdata_youtube_content_get_format (GDataYouTubeContent *self);

`gdata_youtube_content_get_format` has been deprecated since version 0.17.0 and should not be used in newly-written code.

Accessing YouTube video content directly is no longer supported by Google. There is no replacement.

Gets the “format” property.

#### Parameters

self | a GDataYouTubeContent |

#### Returns

the video format, or `GDATA_YOUTUBE_FORMAT_UNKNOWN`

Since: 0.4.0

## Types and Values

### GDataYouTubeContent

    typedef struct _GDataYouTubeContent GDataYouTubeContent;

`GDataYouTubeContent` has been deprecated since version 0.17.0 and should not be used in newly-written code.

Accessing YouTube video content directly is no longer supported by Google. There is no replacement.

All the fields in the GDataYouTubeContent structure are private and should never be accessed directly.

Since: 0.4.0

### GDataYouTubeContentClass

    typedef struct {
    } GDataYouTubeContentClass;

`GDataYouTubeContentClass` has been deprecated since version 0.17.0 and should not be used in newly-written code.

Accessing YouTube video content directly is no longer supported by Google. There is no replacement.

All the fields in the GDataYouTubeContentClass structure are private and should never be accessed directly.

Since: 0.4.0

## Property Details

### The `“format”` property

      “format”                   GDataYouTubeFormat

The video format of the video object.

For more information, see the

YouTube documentation.

`GDataYouTubeContent:format` has been deprecated since version 0.17.0 and should not be used in newly-written code.

Accessing YouTube video content directly is no longer supported by Google. There is no replacement.

Flags: Read

Default value: GDATA_YOUTUBE_FORMAT_UNKNOWN

Since: 0.4.0